Skip to main content
GET
/
api
/
imports
List imports
curl --request GET \
  --url https://folksbase.onrender.com/api/imports \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "status": "<string>",
      "total_rows": 123,
      "processed_rows": 123,
      "updated_rows": 123,
      "failed_rows": 123,
      "blob_url": "<string>",
      "summary": "<string>",
      "ai_suggestions": null,
      "column_mapping": null,
      "created_at": "<string>",
      "completed_at": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "total": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token from Authorization header

Query Parameters

cursor
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
limit
integer
Required range: 1 <= x <= 100

Response

200 - application/json

Paginated import list

data
object[]
required
nextCursor
string | null
required
total
number
required